QGIS Application - Bug report #7743
Vector layer join broken if not using cached join
2013-05-01 11:11 AM - Chris Crook

Status: Closed
Priority: High
Assignee: Chris Crook
Category: Vectors

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16648

Description

I noticed a couple of errors in the implementation of the Vector layer join which means it may display incorrect data when not using a

memory cache.

1) If the joined layer already has a subset string, then the layer is joined by added ' AND name=value' to the original. To be safe the

original subset string should be parenthesised

2) The implementation of '"AND name=value' is wrong - the value is enclosed in double quotes rather than apostrophes.

Associated revisions

Revision c04a130a - 2013-07-17 01:15 PM - Jiirgen Fischer

vector join: put subset string in parentheses (followup af8479e72; closes pull request #571; fixes #7743)

History

#1 - 2013-05-01 11:12 AM - Chris Crook
- Assignee set to Chris Crook

#2 - 2013-05-01 11:18 AM - Chris Crook
- Pull Request or Patch supplied changed from No to Yes

Fixed in https://github.com/qgis/Quantum-GIS/pull/571

#3 - 2013-06-02 09:06 AM - Giovanni Manghi
- Status changed from Open to Feedback

Hi, can someone commit the patch so we can test? cheers!

#4 - 2013-06-03 11:12 AM - Chris Crook

Hi Giovanni

| couldn't commit this when | submitted it (though | could now). But probably should be left to someone else, as not really in my area (delimited text

provider).
https://github.com/qgis/Quantum-GIS/pull/571

#5 - 2013-07-15 04:48 AM - Paolo Cavallini

Better check and apply if ok

#6 - 2013-07-15 05:06 AM - Giovanni Manghi

Paolo Cavallini wrote:

Better check and apply if ok

right now there a a lot of patches on github needing to be reviewed and eventually applied. Most of them fixing bugs. Better to insist in the dev mailing list.

#7 - 2013-07-17 04:15 AM - Jiirgen Fischer
- Status changed from Feedback to Closed

Fixed in changeset commit:"c04a130a990d60a70696da76f6eedac135b72f12".
